button(back).
button(cancel).
button(modify).
button(continue).
button(confirm).
button(view).
button(make).

ad_customer(A,B,C,Db) :- ad_customer(A,B,C), notdeleted(customer(A,B,C),Db).
ad_customer(A,B,C,Db) :- inserted(customer(A,B,C),Db).

ad_reserves(A,B,Db) :- ad_reserves(A,B), notdeleted(reserves(A,B),Db).
ad_reserves(A,B,Db) :- inserted(reserves(A,B),Db).

ad_reservation(A,B,C,D,Db) :- ad_reservation(A,B,C,D), notdeleted(reservation(A,B,C,D),Db).
ad_reservation(A,B,C,D,Db) :- inserted(reservation(A,B,C,D),Db).

ad_cartype(A,B,Db) :- ad_cartype(A,B), notdeleted(cartype(A,B),Db).
ad_cartype(A,B,Db) :- inserted(cartype(A,B),Db).

sd_customer(A,B,C,Db) :- sd_customer(A,B,C), memberL(customer(A,B,C),Db,false).

sd_reserves(A,B,Db) :- sd_reserves(A,B), memberL(reserves(A,B),Db,false).
sd_reservation(A,B,C,D,Db) :- sd_reservation(A,B,C,D), memberL(reservation(A,B,C,D),Db,false).
sd_cartype(A,B,Db) :- sd_cartype(A,B), memberL(cartype(A,B),Db,false).
